<?php
/********************************************************
* Youtube Integration Mod
* Version: 0.1          
* Founder: Lucas-ruroken || DrHouse (DrMalboro)
* Date: 2010
/**********************************************************/

	$install = false;
	
	if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')){
		$install = true;
		require_once(dirname(__FILE__) . '/SSI.php');
	}
	
	global $smcFunc;
	
	db_extend('packages');
	
	//The new $modSettings
	$mod_settings = array(
		'yim_enable' => 0,
		'yim_enable_suscribe' => 0,
		'yim_enable_gallery' => 0,
		'yim_gallery_cant' => 6,
		'yim_gallery_groupsPermissionToAdd' => 1,
		'yim_enable_gallery_user' => 0,
		'yim_enable_gallery_user_cant' => 6,
		'yim_add_a_cartel' => 0,
	);
	
	updateSettings($mod_settings);
	
	//Add Columns
	$columns[] = array(
		'table_name' => '{db_prefix}members',
		'column_info' => array(
			'name' => 'yim_user',
			'type' => 'text',
			'size' => 255,
			'default' => '',
			'auto' => false,
			'unsigned' => false,
		),
		'parameters' => array(),
		'if_exists' => 'ignore',
		'error' => 'fatal',
	);
	$columns[] = array(
		'table_name' => '{db_prefix}members',
		'column_info' => array(
			'name' => 'yim_cartel_view',
			'type' => 'int',
			'size' => 1,
			'default' => 0,
			'auto' => false,
			'unsigned' => false,
		),
		'parameters' => array(),
		'if_exists' => 'ignore',
		'error' => 'fatal',
	);
	
	foreach($columns AS $add)
		$smcFunc['db_add_column']($add['table_name'], $add['column_info'], $add['parameters'], $add['if_exists'], 'fatal');
	
	$tables[] = array(
		'table_name' => '{db_prefix}yim_gallery',
		'columns' => array(
			array(
				'name' => 'id_video',
				'auto' => true,
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'url',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'thumb',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'description',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'tags',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'cat',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'id_member',
				'auto' => false,
				'type' => 'int',
				'null' => false,
				'size' => 10,
			),
		),
		'indexes' => array(
			array(
				'columns' => array('id_video'),
				'type' => 'primary',
			),
		),
		'if_exists' => 'ignore',
		'error' => 'fatal',
		'parameters' => array(),
	);
	
	// Create new tables, if any
	foreach ($tables as $table)
		$smcFunc['db_create_table']($table['table_name'], $table['columns'], $table['indexes'], $table['parameters'], $table['if_exists'], $table['error']);
	
	if($install)
		echo'Done...';
	
?>