<?php
/********************************************************
* Youtube Integration Mod
* Version: 0.1          
* Founder: Lucas-ruroken || DrHouse (DrMalboro)
* Date: 2010
/**********************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');
	

function loadYoutubeUser($id_member)
{
	global $smcFunc, $context;

	$id_member = (int)$id_member;
	
	$sql = $smcFunc['db_query']('','
		SELECT yim_user
		FROM {db_prefix}members
		WHERE id_member = {int:member}',
		array(
			'member' => $id_member,
		)
	);
	
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	$context['youtube_user'] = $row['yim_user'];
	
}

function modifyYoutubeUser($id_member, $user)
{
	global $smcFunc;
	
	$smcFunc['db_query']('','
		UPDATE {db_prefix}members
		SET yim_user = {text:user}
		WHERE id_member = {int:member}',
		array(
			'user' => $user,
			'member' => $id_member,
		)
	);

}

function sah($variable)
{
	$variable = htmlspecialchars(addslashes(stripslashes($variable)),ENT_QUOTES);
	
	return $variable;
}

//This function appear in the index.php file
function loadYoutubeData()
{
	global $boarddir;
	
	require_once($boarddir.'/Zend/Loader.php'); //Library
	Zend_Loader::loadClass('Zend_Gdata_YouTube');
}
function printVideoFeed2($videoFeed, $id)
{
	
	$i = 1;
	foreach ($videoFeed as $videoEntry)
	{
		if($id == $i)
			$load = printVideoEntry2($videoEntry);
		
		$i++;
	}
	
	return $load;
	
}
	
	
function printVideoFeed($videoFeed) 
{
	$i = 1;
	$id = 1;
	foreach ($videoFeed as $videoEntry)
	{
		if($i == 1)
		{
			$win = 'windowbg';
			$cat = 'cat';
			$i++;
		}
		else
		{
			$win = 'windowbg2';
			$cat = 'title';
			$i = 1;
		}
		printVideoEntry($videoEntry, $win, $cat, $id);
		$id++;
	}
  
}

function printVideoEntry2($videoEntry)
{
	$url = $videoEntry->getFlashPlayerUrl();
	$url = explode('?',$url);
	
	$thumbs = $videoEntry->getVideoThumbnails();
	$youtube['thumbs'] = array();
	$i = 1;
	foreach($thumbs AS $thumb)
	{
		if($i == 1)
		{
			$youtube['thumbs'] = array(
				'time' => $thumb['time'],
				'image' => $thumb['url'],
				'height' => '50', //$thumb['height'],
				'width' => '50', //$thumb['width'],
			);
		}
		$i++;
	}
	
	$youtube = array(
		'video_title' => $videoEntry->getVideoTitle(),
		'description' => $videoEntry->getVideoDescription(),
		'cat' => $videoEntry->getVideoCategory(),
		'tags' => implode(", ", $videoEntry->getVideoTags()),
		'url' => $videoEntry->getVideoWatchPageUrl(),
		'duration' => $videoEntry->getVideoDuration(),
		'views' => $videoEntry->getVideoViewCount(),
		'rating' => $videoEntry->getVideoRatingInfo(),
		'url_embed' => $url[0], 
		'thumb' => $youtube['thumbs']['image'],
	);
	return $youtube;
}

function printVideoEntry($videoEntry, $win, $cat, $id) 
{
	global $youtube, $settings, $txt, $scripturl, $context;
	
	$youtube = array();
	
	$url = $videoEntry->getFlashPlayerUrl();
	$url = explode('?',$url);
	
	//The.... little array :P
	$youtube = array(
		'video_title' => $videoEntry->getVideoTitle(),
		'description' => $videoEntry->getVideoDescription(),
		'cat' => $videoEntry->getVideoCategory(),
		'tags' => implode(", ", $videoEntry->getVideoTags()),
		'url' => $videoEntry->getVideoWatchPageUrl(),
		'duration' => $videoEntry->getVideoDuration(),
		'views' => $videoEntry->getVideoViewCount(),
		'rating' => $videoEntry->getVideoRatingInfo(),
		//'url_embed' => $url[0], 
	);
	
	$thumbs = $videoEntry->getVideoThumbnails();
	$youtube['thumbs'] = array();
	
	foreach($thumbs AS $thumb)
		$youtube['thumbs'][] = array(
			'time' => $thumb['time'],
			'image' => $thumb['url'],
			'height' => '50', //$thumb['height'],
			'width' => '50', //$thumb['width'],
		);
	
	//YEAH, load the videos (H)
	echo'
	<div class="'.$cat.'_bar">
		<h4 class="'.$cat.'bg">
		<a href="'.$scripturl.'?action=profile;area=youtubeuser;u='.$context['member']['id'].';sa=id;id='.$id.'">
			<img src="'.$settings['default_images_url'].'/youtube/accept.png" alt="" style="vertical-align: middle;" />&nbsp;'.$youtube['video_title'].'
		</a>
	</h4>
	</div>';
	
	echo'
	<div class="'.$win.'"><span class="topslice"><span></span></span>
		<table style="width: 100%;">
			<tr>
				<td valign="top" style="width: 30%; text-align: center;">';
	$i = 0;
	foreach($youtube['thumbs'] AS $new)
	{
		if($i < 2)
		{
			echo'
					<img style="width: 90px; height: 90px;" alt="" src="'.$new['image'].'" />&nbsp;';
		}
		$i++;
	}
	
	echo'
				
				</td>
				<td valign="top" style="font: tahoma; width: 35%; text-align: left;" class="smalltext">
					<strong>'.$txt['profile_yim_1_title'].':</strong> '.$youtube['video_title'].'<br />
					<strong>'.$txt['profile_yim_1_cat'].':</strong> '.$youtube['cat'].'<br />
					<strong>'.$txt['profile_yim_1_tags'].':</strong> '.$youtube['tags'].'<br />
					<strong>'.$txt['profile_yim_1_views'].':</strong> '.$youtube['views'].'<br />
					<strong><a href="'.$scripturl.'?action=profile;area=youtubeuser;u='.$context['member']['id'].';sa=id;id='.$id.'">'.$txt['profile_yim_1_viewfull'].'</a></strong>
				</td>
				<td valign="top" style="font: tahoma; width: 35%; text-align: left;" class="smalltext">
					<strong>'.$txt['profile_yim_1_description'].':</strong> '.$youtube['description'].'
				</td>
			</tr>
		</table>
	<span class="botslice"><span></span></span></div><br />';
	
	
  
  
 
}

function YoutubeFunctionLoadAsd($true_or_false = true)
{
	$load = '
PGJyIC8+PGRpdiBhbGlnbj0iY2VudGVyIiBjbGFzcz0ic21hbGx0ZXh0Ij5ZSU0gYnkgPGEgaHJlZj0iaHR0cDovL3d3dy5zbWZwZXJzb25hbC5uZXQiIHRhcmdldD0iX2JsYW5rIj5TTUYgUGVyc29uYWw8L2E+PGJyIC8+UG93ZXJlZCBieSA8YSBocmVmPSJodHRwOi8vd3d3LnlvdXR1YmUuY29tIiByZWw9Im5vZm9sbG93Ij5Zb3V0dWJlPC9hPjwvZGl2Pg==';
	
	$load = base64_decode($load);
	
	echo $load;
}

function getAndPrintUserUploads($userName)                    
{
  $yt = new Zend_Gdata_YouTube();
  printVideoFeed($yt->getuserUploads($userName));
}
function getAndPrintUserUploads2($userName, $id)                    
{
	$yt = new Zend_Gdata_YouTube();
	$load = printVideoFeed2($yt->getuserUploads($userName), $id);
	return $load;
}


function loadTheRememberText()
{
	global $modSettings, $txt, $user_info, $settings, $scripturl;
	
	if(!empty($modSettings['yim_enable']) && empty($user_info['yim_user']) && empty($user_info['yim_cartel']) && !empty($modSettings['yim_add_a_cartel']) && !$user_info['is_guest'])
	echo'
		<div class="approvebg"><span class="topslice"><span></span></span>
		<div class="content">
			<div align="center"><strong>'.$txt['profile_a_cartel'].'</strong></div>
			<div class="smalltext" align="right">
				<a href="'.$scripturl.'?action=youtube;sa=deletecartel">
					<img style="vertical-align: middle;" src="'.$settings['default_images_url'].'/youtube/wrench.png" alt="" />&nbsp;'.$txt['profile_a_cartel_delete'].'
				</a>
			</div>
		</div>
	<span class="botslice"><span></span></span></div><br />';


}

?>

