<?php
/********************************************************
* Youtube Integration Mod
* Version: 0.1          
* Founder: Lucas-ruroken || DrHouse (DrMalboro)
* Date: 2010
/**********************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');
	
function YoutubeVideos($memID)
{
	global $context, $txt, $modSettings;
	
	if(empty($modSettings['yim_enable']))
		fatal_lang_error('yim_not_activated',false);
	
	$subActions = array(
		'view' => 'ViewListVideos',
		'id' => 'ViewTheFullVideo',
	);
	
	//LoadYouTubeData
	loadYoutubeData();
	
	//Load the current template
	loadTemplate('youtube');
	
	//Load our language ;)
	if(loadLanguage('yim') == false)
		loadLanguage('yim','english');
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['view']($memID);

}

function ViewListVideos($memID)
{
	global $context, $smcFunc, $txt;
	
	//The general $context;
	$context['page_title'] = $txt['profile_first_yim_youtube'];
	$context['sub_template'] = 'view_list_videos';
	$context['yt'] = new Zend_Gdata_YouTube();
	
}

function ViewTheFullVideo()
{
	global $context, $txt, $scripturl;
	
	if(!empty($_REQUEST['id']) && is_numeric($_REQUEST['id']))
		$context['id_video'] = (int)$_REQUEST['id'];
	else
		fatal_lang_error('profile_you_need_id_video',false);
		
		
	//$context['yt']
	$context['yt'] = new Zend_Gdata_YouTube();
	
	$context['video_info'] = getAndPrintUserUploads2($context['member']['yim_user'],$context['id_video']);
	
	$context['page_title'] = $context['video_info']['video_title'];
	
	$context['sub_template'] = 'view_the_full_video';

}

function ChangeYourUserYoutube($memID)
{
	global $context, $smcFunc, $txt, $modSettings;
	
	if(empty($modSettings['yim_enable']))
		fatal_lang_error('yim_not_activated',false);
	
	$subActions = array(
		'view' => 'ViewUserYoutube',
		'save' => 'SaveUserYoutube',
	);
	
	//Load the current template
	loadTemplate('youtube');
	
	//General $context
	$context['member_id_'] = $memID;
	
	//Load our language ;)
	if(loadLanguage('yim') == false)
		loadLanguage('yim','english');
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['view']();
}

function ViewUserYoutube()
{
	global $context, $txt;
	
	loadYoutubeUser($context['member_id_']);
	
	$context['sub_template'] = 'youtube_change_info';
	$context['page_title'] = $txt['profile_yim_change'];
	
}

function SaveUserYoutube()
{
	global $context, $smcFunc, $txt;
	
	checkSession('post');
	
	$yim_user = sah($_POST['yim_user']);
	
	modifyYoutubeUser($context['member_id_'],$yim_user);
	
	redirectexit('action=profile;area=changeuseryoutube;u='.$context['member_id_'].';done');
	
}



function YoutubeFunction()
{	
	global $modSettings, $context, $txt, $scripturl;
	
	//Load our language ;)
	if(loadLanguage('yim') == false)
		loadLanguage('yim','english');
	
	if(empty($modSettings['yim_enable_gallery']))
		fatal_lang_error('profile_gallery_not_enable',false);
		
	//Most important :o
	loadTemplate('youtube');
	
	$subActions = array(
		'view' => 'YoutubeFunctionView',
		'add' => 'YoutubeFunctionAdd',
		'id' => 'YoutubeFunctionId',
		'users' => 'YoutubeFunctionUsers',
		'deletecartel' => 'YoutubeDeleteCartel',
		'delete' => 'YoutubeDeleteVideo',
	);
	
	//Construct The Buttons
	$context['gallery_user_enable'] = !empty($modSettings['yim_enable_gallery_user']);
	$context['active_'] = !empty($_REQUEST['sa']) && $_REQUEST['sa'] == 'users' ? true : false;
	$context['gallery_enable'] = 1;
	$context['youtube_buttons'] = array(
		'gallery' => array('test' => 'gallery_enable', 'text' => 'profile_gallery', 'lang' => true, 'url' => $scripturl . '?action=youtube'),
		'gallery_user' => array('test' => 'gallery_user_enable', 'text' => 'profile_gallery_users', 'lang' => true, 'url' => $scripturl . '?action=youtube;sa=users'),
	);
	
	if(!empty($context['active_']))
		$context['youtube_buttons']['gallery_user']['active'] = true;
	else
		$context['youtube_buttons']['gallery']['active'] = true;
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=youtube',
		'name' => $txt['profile_youtube_gallery']
	);
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['view']();
	
}

function YoutubeDeleteVideo($id_video = 0, $return = true)
{
	global $smcFunc;
	
	isAllowedTo('admin_forum');
	
	if(empty($id_video))
		$id_video = !empty($_REQUEST['id']) ? (int)$_REQUEST['id'] : 0;
	
	//Again
	if(empty($id_video))
		fatal_lang_error('profile_not_id_video',false);
	
	//DELETE
	$smcFunc['db_query']('','DELETE FROM {db_prefix}yim_gallery WHERE id_video = {int:video}',array('video' => $id_video,));
	
	if($return)
		redirectexit('action=youtube');
		
}

function YoutubeDeleteCartel()
{
	global $user_info, $smcFunc;
	
	if($user_info['is_guest'])
		redirectexit();
	else
	{
	
		$smcFunc['db_query']('','
			UPDATE {db_prefix}members
			SET yim_cartel_view = {int:cartel}
			WHERE id_member = {int:member}',
			array(
				'cartel' => 1,
				'member' => $user_info['id'],
			)
		);
		
		redirectexit();
	}
}

function YoutubeFunctionUsers()
{
	global $context, $txt, $smcFunc, $modSettings, $scripturl;
	
	if(empty($modSettings['yim_enable_gallery_user']))
		fatal_lang_error('profile_not_allowed_to_action',false);
	
	$limit = $modSettings['yim_enable_gallery_user_cant'];
	
	$select = $smcFunc['db_query']('','
		SELECT COUNT(*) AS total
		FROM {db_prefix}members
		WHERE yim_user NOT LIKE {text:not}',
		array(
			'not' => '',
		)
	);
	
	$r = $smcFunc['db_fetch_assoc']($select);
	$smcFunc['db_free_result']($select);
	
	$total = $r['total'];
	
	$context['start'] = !empty($_REQUEST['start']) ? (int)$_REQUEST['start'] : 0;
	
	$sql = $smcFunc['db_query']('','
		SELECT mem.id_member, mem.real_name, mem.avatar, mem.yim_user,
		IFNULL(a.id_attach, 0) AS id_attach, a.filename, a.attachment_type
		FROM {db_prefix}members AS mem
		LEFT JOIN {db_prefix}attachments AS a ON (a.id_member = mem.id_member)
		WHERE yim_user NOT LIKE {text:not}
		ORDER BY mem.id_member ASC
		LIMIT {int:start},{int:end}',
		array(
			'start' => $context['start'],
			'end' => $limit,
			'not' => '',
		)
	);
	
	//Avatar Width and Height
	$width = 60;
	$height = 60;
	
	$context['youtube_users'] = array();
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['youtube_users'][] = array(
			'id' => $row['id_member'],
			'real_name' => $row['real_name'],
			'url' => '<a href="'.$scripturl.'?action=profile;u='.$row['id_member'].'">'.$row['real_name'].'</a>',
			'avatar' => $row['avatar'] == '' ? ($row['id_attach'] > 0 ? '<img width="'.$width.'" height="'.$height.'" src="' . (empty($row['attachment_type']) ? $scripturl . '?action=dlattach;attach=' . $row['id_attach'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $row['filename']) . '" alt="" class="avatar" border="0" />' : '') : (stristr($row['avatar'], 'http://') ? '<img width="'.$width.'" height="'.$height.'"src="' . $row['avatar'] . '" alt="" class="avatar" border="0" />' : '<img width="'.$width.'" height="'.$height.'"src="' . $modSettings['avatar_url'] . '/' . htmlspecialchars($row['avatar']) . '" alt="" class="avatar" border="0" />'),
			'yim_user' => $row['yim_user'],
		);
	}
	
	$smcFunc['db_free_result']($sql);

	//LinkTree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=youtube;sa=users',
		'name' => $txt['profile_gallery_users']
	);
	
	//SubTemplate and PageTitle
	$context['sub_template'] = 'youtube_function_users';
	$context['page_title'] = $txt['profile_gallery_users'];
	
	$context['page_index'] = constructPageIndex($scripturl . '?action=youtube;sa=users', $context['start'], $total, $limit);
	
}

function YoutubeFunctionView()
{
	global $context, $txt, $smcFunc, $modSettings, $scripturl;
	
	$context['page_title'] = $txt['profile_youtube_gallery'];
	$context['sub_template'] = 'youtube_function_view';
	
	$limit = $modSettings['yim_gallery_cant'];
	
	$select = $smcFunc['db_query']('','
		SELECT COUNT(*) AS total
		FROM {db_prefix}yim_gallery
	');
	
	$r = $smcFunc['db_fetch_assoc']($select);
	$smcFunc['db_free_result']($select);
	
	$total = $r['total'];
	
	$context['start'] = !empty($_REQUEST['start']) ? (int)$_REQUEST['start'] : 0;
	
	$sql = $smcFunc['db_query']('','
		SELECT id_video, thumb, description
		FROM {db_prefix}yim_gallery
		ORDER BY id_video DESC
		LIMIT {int:start},{int:end}
		',
		array(
			'start' => $context['start'],
			'end' => $limit,
		)
	);
	
	$context['youtube'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['youtube'][] = array(
			'id_video' => $row['id_video'],
			'thumb' => $row['thumb'],
			'title' => $row['description'],
		);
	}
	
	if(empty($context['youtube']))
		fatal_lang_error('profile_yim_not_videos_',false);
	
	$smcFunc['db_free_result']($sql);
	
	$context['page_index'] = constructPageIndex($scripturl . '?action=youtube', $context['start'], $total, $limit);
	
	
	
}

//The add function :|
function YoutubeFunctionAdd()
{
	global $context, $txt, $smcFunc, $modSettings, $user_info;
	
	checkSession('get');
	
	if(!isset($_REQUEST['url']) 
		|| !isset($_REQUEST['thumb']) 
		|| !isset($_REQUEST['description']) 
		|| !isset($_REQUEST['tags']) 
		|| !isset($_REQUEST['cat']) 
		|| !isset($_REQUEST['id_member'])
	)
		fatal_lang_error('profile_invalid_add',false);
	
	$url = sah($_REQUEST['url']);
	$thumb = sah($_REQUEST['thumb']);
	$title = sah($_REQUEST['description']);
	$tags = !empty($_REQUEST['tags']) ? sah($_REQUEST['tags']) : '';
	$cat = sah($_REQUEST['cat']);
	$id_member = (int)$_REQUEST['id_member'];
	
	//if... $id_member = 0 or a string
	if(empty($id_member))
		fatal_lang_error('profile_invalid_add',false);
	
	$explode = explode(',',$modSettings['yim_gallery_groupsPermissionToAdd']);
	
	$add = false;
	
	if($user_info['is_admin'])
		$add = true;
	elseif($user_info['groups'][0] == 0 && in_array(-1,$explode) && $id_member == $user_info['id'])
		$add = true;
	elseif(in_array($user_info['groups'][0],$explode) && $id_member == $user_info['id'])
		$add = true;
	
	if(!$add)
		fatal_lang_error('profile_not_allowed_to_action',false);
		
	
	//The insert
	$smcFunc['db_insert'](
		'insert',
		'{db_prefix}yim_gallery',
		array(
			'url' => 'text', 
			'thumb' => 'text', 
			'description' => 'text', 
			'tags' => 'text', 
			'cat' => 'text',
			'id_member' => 'int',
		),
		array(
			$url,
			$thumb,
			$title,
			$tags,
			$cat,
			$id_member,
		),
		array('id_video')
	);
	
	$id_video = 0;
	$id_video = $smcFunc['db_insert_id']('{db_prefix}yim_gallery', 'id_video');
	
	redirectexit('action=youtube;sa=id;id='.$id_video);
	
}

//View Video
function YoutubeFunctionId()
{
	global $context, $txt, $smcFunc, $memberContext, $scripturl;
	
	if(!empty($_REQUEST['id']) && is_numeric($_REQUEST['id']))
		$id_video = (int)$_REQUEST['id'];
	else
		fatal_lang_error('profile_not_id_video',false);
	
	
	
	$sql = $smcFunc['db_query']('','
		SELECT id_video, url, thumb, description, tags, cat, id_member
		FROM {db_prefix}yim_gallery
		WHERE id_video = {int:video}',
		array(
			'video' => $id_video,
		)
	);
	
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	if(empty($row))
		fatal_lang_error('profile_not_id_video',false);
	
	$context['youtube_video'] = array(
		'id_video' => $id_video,
		'video_title' => $row['description'],
		'cat' => $row['cat'],
		'tags' => $row['tags'],
		'url_embed' => $row['url'], 
		'thumb' => $row['thumb'],
		'id_member' => $row['id_member'],
	);
	
	//LoadMemberData
	$memberResult = loadMemberData($context['youtube_video']['id_member'], false, 'profile');
	
	if (!is_array($memberResult))
		fatal_lang_error('not_a_user', false);
	
	//LoadInfo
	loadMemberContext($context['youtube_video']['id_member']);
	$context['member'] = $memberContext[$context['youtube_video']['id_member']];
	
	$context['page_title'] = $context['youtube_video']['video_title'].' - '.$context['member']['username'];
	$context['sub_template'] = 'youtube_function_id';
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=youtube;sa=id;id='.$id_video,
		'name' => $context['youtube_video']['video_title']
	);
	
}
	
	
	


function YimLoadMemberGroups()
{
	global $smcFunc, $scripturl, $context, $txt;
	
	$sql = $smcFunc['db_query']('','
		SELECT group_name, id_group
		FROM {db_prefix}membergroups
		WHERE min_posts = {int:posts} AND id_group <> {int:g} AND id_group <> {int:h}',
		array(
			'posts' => -1,
			'g' => 1,
			'h' => 3,
		)
	);
	
	
	$context['atpm_mg'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
		$context['atpm_mg'][$row['id_group']] = $row['group_name'];
	
	$smcFunc['db_free_result']($sql);
}

function LoadInfoYimVersion()
{
	global $sourcedir;
	
	//Require
	require_once($sourcedir.'/Subs-Package.php');
	
    $load['news'] = fetch_web_data("http://www.smfpersonal.net/news/yim_news.txt");
	$load['version'] = fetch_web_data("http://www.smfpersonal.net/news/yim_version.txt");
    
	return $load;
}

function YimYourVersion()
{
	$version = '0.1';
	
	return $version;
}

//THE ADMIN SECTION
function YimAdminMain()
{
	global $context, $txt;
	//Most important :o
	loadTemplate('youtube');
	
	//Load our language ;)
	if(loadLanguage('yim') == false)
		loadLanguage('yim','english');
		
	//Allowed
	isAllowedTo('admin_forum');
	
	$subActions = array(
		'main' => 'TheMainSection',
		'settings' => 'SettingsYim',
		'savesettings' => 'SaveSettingsYim',
		'gallery' => 'GalleryYimAdmin',
		'deletevideo' => 'GalleryDeleteVideo',
	);
	
	$context[$context['admin_menu_name']]['tab_data'] = array(
		'title' => $txt['youtube_title'],
		'description' => '',
		'tabs' => array(
			'main' => array(
				'description' => $txt['youtube_desc_1'],
			),
			'settings' => array(
				'description' => $txt['youtube_desc_2'],
			),
			'gallery' => array(
				'description' => $txt['youtube_desc_3'],					
			),
		),
	);
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['main']();
	
}


function TheMainSection()
{
	global $context, $txt;
	
	//Check Session
	checkSession('get');
	
	$context['sub_template'] = 'the_main_section';
	$context['page_title'] = $txt['youtube_news'];
	
	//LoadInfo
	$load = LoadInfoYimVersion();
	$context['current_version'] = $load['version'];
	$context['your_news'] = $load['news'];
	$context['your_version'] = YimYourVersion();
	$context['colorToShow'] = $context['your_version'] == $context['current_version'] ? 'green' : 'red';
	
	
	
}

function SettingsYim()
{	
	global $context, $txt;
	
	//Check session again
	checkSession('get');
	
	$context['sub_template'] = 'settings_yim';
	$context['page_title'] = $txt['yim_general_settings'];
	
	//LoadMemberGroups
	YimLoadMemberGroups();
}

function SaveSettingsYim()
{
	global $context;
	
	checkSession('post');
	
	$yim_enable = !empty($_POST['yim_enable']) ? 1 : 0;
	//$yim_enable_suscribe = !empty($_POST['yim_enable_suscribe']) ? 1 : 0;
	$yim_enable_gallery = !empty($_POST['yim_enable_gallery']) ? 1 : 0;
	$yim_gallery_cant = (int)$_POST['yim_gallery_cant'];
	$yim_add_a_cartel = !empty($_POST['yim_add_a_cartel']) ? 1 : 0;
	$yim_enable_gallery_user = !empty($_POST['yim_enable_gallery_user']) ? 1 : 0;
	$yim_enable_gallery_user_cant = (int)$_POST['yim_enable_gallery_user_cant'];
	
	if(!empty($_POST['g']))
	{	
		$g = array_keys($_POST['g']);
		$g = implode(',',$g);
	}
	else
		$g = '';
		
	$update = array(
		'yim_enable' => $yim_enable,
		//'yim_enable_suscribe' => $yim_enable_suscribe,
		'yim_enable_gallery' => $yim_enable_gallery,
		'yim_gallery_cant' => $yim_gallery_cant,
		'yim_gallery_groupsPermissionToAdd' => $g,
		'yim_add_a_cartel' => $yim_add_a_cartel,
		'yim_enable_gallery_user' => $yim_enable_gallery_user,
		'yim_enable_gallery_user_cant' => $yim_enable_gallery_user_cant,
		
	);
	
	updateSettings($update);
	
	redirectexit('action=admin;area=youtube;sa=settings;'.$context['session_var'].'='.$context['session_id']);
	
}

function GalleryYimAdmin()
{
	global $modSettings, $txt, $context, $smcFunc, $scripturl;
	
	checkSession('get');
	
	$context['page_title'] = $txt['profile_manage_gallery'];
	$context['sub_template'] = 'gallery_admin';
	
	$limit = 5;
	$context['start'] = !empty($_REQUEST['start']) ? (int)$_REQUEST['start'] : 0;
	
	$select = $smcFunc['db_query']('','
		SELECT COUNT(*) AS total
		FROM {db_prefix}yim_gallery
	');
	$r = $smcFunc['db_fetch_assoc']($select);
	$smcFunc['db_free_result']($select);
	
	$total = $r['total'];
	
	$sql = $smcFunc['db_query']('','
		SELECT y.id_video, y.thumb, y.id_member, y.description, mem.id_member, mem.avatar, mem.real_name,
		IFNULL(a.id_attach, 0) AS id_attach, a.filename, a.attachment_type
		FROM {db_prefix}yim_gallery AS y
		LEFT JOIN {db_prefix}members AS mem ON (mem.id_member = y.id_member)
		LEFT JOIN {db_prefix}attachments AS a ON (a.id_member = mem.id_member)
		ORDER BY y.id_video DESC
		LIMIT {int:start},{int:end}',
		array(
			'start' => $context['start'],
			'end' => $limit,
		)
	);
	
	//$width and $height avatar
	$width = 60;
	$height = 60;
	
	$context['youtube_users'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['youtube_users'][] = array(
			'member' => '<a href="'.$scripturl.'?action=profile;u='.$row['id_member'].'">'.$row['real_name'].'</a>',
			'id_video' => $row['id_video'],
			'thumb' => $row['thumb'],
			'title' => $row['description'],
			'avatar' => $row['avatar'] == '' ? ($row['id_attach'] > 0 ? '<img width="'.$width.'" height="'.$height.'" src="' . (empty($row['attachment_type']) ? $scripturl . '?action=dlattach;attach=' . $row['id_attach'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $row['filename']) . '" alt="" class="avatar" border="0" />' : '') : (stristr($row['avatar'], 'http://') ? '<img width="'.$width.'" height="'.$height.'"src="' . $row['avatar'] . '" alt="" class="avatar" border="0" />' : '<img width="'.$width.'" height="'.$height.'"src="' . $modSettings['avatar_url'] . '/' . htmlspecialchars($row['avatar']) . '" alt="" class="avatar" border="0" />'),
		);
	}
	
	$smcFunc['db_free_result']($sql);
			
		
	$context['page_index'] = constructPageIndex($scripturl . '?action=admin;area=youtube;sa=gallery;'.$context['session_var'].'='.$context['session_id'], $context['start'], $total, $limit);
	

}

function GalleryDeleteVideo()
{
	checkSession('get');
	
	if(!empty($_REQUEST['id']))
		$id_video = (int)$_REQUEST['id'];
	else
		fatal_lang_error('profile_not_id_video',false);
	
	//DELETE
	YoutubeDeleteVideo($id_video, false);
	
	global $context;
	redirectexit('action=admin;area=youtube;sa=gallery;'.$context['session_var'].'='.$context['session_id']);
}


?>


